package jc.test.io.jarimageloader;

import java.awt.Graphics;
import java.awt.image.BufferedImage;
import java.io.InputStream;
import java.net.URL;

import javax.imageio.ImageIO;
import javax.swing.JFrame;

import jc.test.io.jarimageloader.resources.MyResources;

public class ImageLoader extends JFrame {
	private static final long serialVersionUID = 5208504973257853349L;



	public static void main(final String... args) {
		new ImageLoader().setVisible(true);
	}



	private final BufferedImage mImage;



	public ImageLoader() {
		mImage = loadImage();
		setDefaultCloseOperation(DISPOSE_ON_CLOSE);
		setBounds(100, 100, 400, 300);
	}



	@Override public void paint(final Graphics pG) {
		super.paint(pG);
		if (mImage == null) {
			pG.drawString("Fehler: Kein Bild geladen!", 50, 50);
		} else {
			pG.drawImage(mImage, 0, 0, null);
		}
	}


	private BufferedImage loadImage() {
		try (InputStream is = MyResources.class.getResourceAsStream("anleitung.jpg")) {
			return ImageIO.read(is);
		} catch (final Exception e) {
			System.out.println("Fehler 1");
			e.printStackTrace();
		}

		final URL url = MyResources.class.getResource("anleitung.jpg");
		try (InputStream is = url.openStream()) {
			return ImageIO.read(is);
		} catch (final Exception e) {
			System.out.println("Fehler 1");
			e.printStackTrace();
		}
		return null;
	}


}
